%define realname  VCP-Dest-svk

Name:		perl-%{realname}
Version:	0.29
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
Summary:    VCP driver to write svk repository
Source0:    http://www.cpan.org/authors/id/C/CL/CLKAO/%{realname}-%{version}.tar.bz2
Url:		http://searc.cpan.org/dist/%{realname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-IPC-Run3 perl-BFD 
BuildRequires:	perl-VCP perl-SVK
BuildRequires:	perl(YAML)
BuildArch:      noarch
%description
This driver allows vcp to insert revisions in to a Subversion repository via 
the svk interface. You could use the vcp command line interface or the 
integrated SVK mirror command.

Among other it allows you to mirror cvs repository with the svk command. 

Check http://svk.elixus.org/?SVKCVS and http://svk.elixus.org/?MirrorVCP for
more information.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
# (misc) parallel build broken
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README 
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Sun May 06 2007 Michael Scherer <misc@mandriva.org> 0.29-1mdv2008.0
+ Revision: 23699
- Missing BuildDeps

  + Olivier Thauvin <nanardon@mandriva.org>
    - 0.29?\195


* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.28-2mdk
- Do not ship empty dir

* Fri Sep 09 2005 Michael Scherer <misc@mandriva.org> 0.28-1mdk
- First Mandriva package

